using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;

namespace SewingDressesContracts.BusinessLogicsContracts
{
    public interface IDressLogic
    {
        List<DressViewModel>? ReadList(DressSearchModel? model);
        DressViewModel? ReadElement(DressSearchModel? model);
        bool Create(DressBindingModel? model);
        bool Update(DressBindingModel? model);
        bool Delete(DressBindingModel? model);
    }
}
